# Generated from action-cable-testing-0.6.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name action-cable-testing

Name: rubygem-%{gem_name}
Version: 0.6.1
Release: 1%{?dist}
Summary: Testing utils for Action Cable
License: MIT
URL: http://github.com/palkan/action-cable-testing
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(cucumber) >= 3.1.1
# BuildRequires: rubygem(cucumber) < 3.2
# BuildRequires: rubygem(rspec-rails) >= 3.5
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(aruba) >= 0.14.6
# BuildRequires: rubygem(aruba) < 0.15
# BuildRequires: rubygem(minitest) >= 5.9
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(ammeter) >= 1.1
# BuildRequires: rubygem(ammeter) < 2
# BuildRequires: rubygem(rubocop) >= 0.68.0
# BuildRequires: rubygem(rubocop) < 0.69
BuildArch: noarch

%description
Testing utils for Action Cable.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Sun Sep 12 2021 mockbuilder - 0.6.1-1
- Initial package
